/*
Theme Name: Hashtag Child
Theme URI: http://demo.bravisthemes.com/hashtag/
Author: Bravis-Themes
Author URI: https://themeforest.net/user/bravis-themes/
Description: Hashtag - Personal Blog Wordpress theme is a multipurpose personal blog theme. User can use this theme for various niches also. Full featured ecommerce pages has been added and adjusted with all niches. User can also use this theme as Magazine. All required pages has been added here. All required pages adjusted with each niches.
Version: 1.0.2
License: ThemeForest
License URI: https://themeforest.net/licenses
Template: hashtag
Tags: cooking blog, creative blog, fashion blog, megazine, personal blog, portfolio, travel blog, yoga blog
*/

/* START: Override parent style font family */
body{font-family:"Cormorant Garamond",'MS Sans Serif',Geneva,sans-serif}h1,h2,h3,h4,h5,h6,p,input,textarea,select,button,a,.widget-title,.comment-reply-title,.wp-block-group__inner-container h2,.countdown-amount,.item--title,.item--meta,.item--author,.item--date,.item--excerpt,.item--subtitle,.item--desc,.item--button,.woocommerce .price,.woocommerce .woocommerce-LoopProduct-link span,.pxl-pagination-links .page-numbers,.pxl--tags a,.pxl--social a,.pxl-select .pxl-select-options,.pxl-item--conent .search-field,.pxl-comment-area .comment-content,.pxl-post--meta li,.pxl-post--header .pxl-post--meta li{font-family:inherit!important}input::placeholder,textarea::placeholder,select::placeholder,input::-webkit-input-placeholder,textarea::-webkit-input-placeholder,select::-webkit-input-placeholder,input:-moz-placeholder,textarea:-moz-placeholder,select:-moz-placeholder,input::-ms-input-placeholder,textarea::-ms-input-placeholder,select::-ms-input-placeholder{font-family:inherit!important}
/* END: Override parent style font family */

.post-loop-item .elementor-widget-theme-post-excerpt {
    display: -webkit-box;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    -webkit-line-clamp: 4;
    overflow: hidden;
    -webkit-box-orient: vertical;
}

.home-loop-grid .post-loop-item .elementor-widget-theme-post-excerpt {
    -webkit-line-clamp: 6;
}

.home-loop-carousel .post-loop-item .elementor-widget-theme-post-excerpt {
    -webkit-line-clamp: 4;
}

.post-loop-item .social-share {
    line-height: 1;
}

.post-loop-item .social-share .elementor-share-btn__icon {
    width: auto;
}

.author-img .pxl-image-box .pxl-item--inner .item--canvas canvas {
	border-radius: 10px;
}

.single-post .pxl-content-wrap.row {
	justify-content: center;
}

.pxl-sidebar-area .pxl-blog-list .pxl-grid-item {
	-webkit-box-align: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
}

.home-loop-grid .post-loop-item .elementor-widget-image {
    overflow: hidden;
}

.post-loop-item .elementor-widget-image img,
.pxl-blog-grid .pxl-grid-item .pxl-item--inner .item--featured img,
.pxl-post-carousel .pxl-swiper-slide .pxl-item--inner .item--featured img,
.pxl-content-blog .pxl-item--archive .item--inner .item--featured img,
.pxl-sidebar-area .pxl-blog-list .pxl-grid-item .pxl-item--image img {
	object-fit: cover;
	object-position: top center;
}

.home-loop-grid .post-loop-item .elementor-widget-image img,
.pxl-blog-grid-layout1 .pxl-grid-item .pxl-item--inner .item--featured img,
.pxl-content-blog .pxl-item--archive .item--inner .item--featured img,
.pxl-sidebar-area .pxl-blog-list .pxl-grid-item .pxl-item--image img {
	aspect-ratio: 16 / 9;
}

.home-loop-carousel .post-loop-item .elementor-widget-image img,
.pxl-post-carousel1 .pxl-swiper-slide .pxl-item--inner .item--featured img,
.pxl-post-carousel5 .pxl-swiper-slide .pxl-item--inner .item--featured img {
	aspect-ratio: 4 / 3;
}

.pxl-post-carousel2 .pxl-swiper-slide .pxl-item--inner .item--featured img {
	aspect-ratio: 9 / 16;
}

.single-post .pxl-item-single-post.content-center .pxl-item--post .pxl-author--info {
	display: none;
}

.post-loop-item:hover .elementor-widget-image img,
.pxl-blog-grid .pxl-grid-item:hover .pxl-item--inner .item--featured img,
.pxl-post-carousel .pxl-swiper-slide:hover .pxl-item--inner .item--featured img,
.pxl-content-blog .pxl-item--archive:hover .item--inner .item--featured img,
.pxl-sidebar-area .pxl-blog-list .pxl-grid-item:hover .pxl-item--image img {
	animation: imageSlideLoop 4s ease-in-out infinite alternate;
}

.pxl-sidebar-area .pxl-blog-list .pxl-grid-item {
	flex-direction: row-reverse;
}

.pxl-sidebar-area .pxl-blog-list .pxl-grid-item .pxl-item--body {
	display: flex;
	flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

.pxl-sidebar-area .pxl-blog-list.style1 .item--meta li:first-child {
    padding-right: 0;
}

@keyframes imageSlideLoop {
    0% {
        object-position: top center;
    }
    100% {
        object-position: bottom center;
    }
}